{"openapi":"3.1.0","info":{"title":"Swiss Parliament Open Data Webservice (OWS)","description":"RESTful API providing public information of the Swiss Parliament.","contact":{"email":"doc@parl.admin.ch"},"version":"1.0.0","x-audience":"public"},"servers":[{"url":"https://ws.parl.ch","description":"Generated server url"}],"security":[{"ApiKeyHeader":[]}],"tags":[{"name":"Departments","description":"This endpoint provides a list of all departments"},{"name":"Persons","description":"This endpoint provides access to data on persons"},{"name":"Mutations","description":"This endpoint provides a list of all mutations"},{"name":"Sessions","description":"This endpoint provides a list of all sessions"},{"name":"Business Status","description":"This endpoint provides a list of all business status"},{"name":"Council Meetings","description":"This endpoint provides a list of all council meetings"},{"name":"Council Statements","description":"This endpoint provides access to data on council statements"},{"name":"Votes Council of States","description":"This endpoint provides access to data on votes of the Council of States"},{"name":"Council Minutes","description":"This endpoint provides access to data on council minutes"},{"name":"Elections","description":"This endpoint provides a list of all elections"},{"name":"API Information","description":"Provides API meta information."},{"name":"Legislatures","description":"This endpoint provides a list of all legislatures"},{"name":"Councils","description":"This endpoint provides a list of all councils"},{"name":"Topics","description":"This endpoint provides a list of all topics"},{"name":"Votings National Council","description":"This endpoint provides access to data on votes of the National Council including the individual votings"},{"name":"Business Types","description":"This endpoint provides a list of all business types"},{"name":"Businesses","description":"This endpoint provides access to data on businesses"},{"name":"Seats Council of States","description":"This endpoint provides the current seating arrangements of the Council of States"},{"name":"Votings Council of States","description":"This endpoint provides access to data on votes of the Council of States including the individual votings"},{"name":"Seats National Council","description":"This endpoint provides the current seating arrangements of the National Council"},{"name":"Cantons","description":"This endpoint provides a list of all cantons"},{"name":"Votes National Council","description":"This endpoint provides access to data on votes of the National Council"},{"name":"MasterData","description":"This endpoint provides a list of all master data"},{"name":"Groups","description":"This endpoint provides access to data on groups"}],"paths":{"/api/v1/votings-nc":{"get":{"tags":["Votings National Council"],"summary":"Get all votings of the National Council","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getAllVotings","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/votings-nc":{"get":{"tags":["Votings National Council"],"summary":"Get all votings of the National Council","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getAllVotings_1","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/v1/votings-cs":{"get":{"tags":["Votings Council of States"],"summary":"Get all votings of the Council of States","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getAllVotings_2","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/votings-cs":{"get":{"tags":["Votings Council of States"],"summary":"Get all votings of the Council of States","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getAllVotings_3","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/v1/votes-nc/{id}/votings":{"get":{"tags":["Votes National Council"],"summary":"Get all votings of a vote of the National Council","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getVotingsOfVote","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/votes-nc/{id}/votings":{"get":{"tags":["Votes National Council"],"summary":"Get all votings of a vote of the National Council","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getVotingsOfVote_1","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/votes-nc/{id}":{"get":{"tags":["Votes National Council"],"summary":"Get a vote of the National Council by id","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getVote","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoteV1"}}}}}}},"/api/v1/votes-nc/{id}":{"get":{"tags":["Votes National Council"],"summary":"Get a vote of the National Council by id","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getVote_1","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoteV1"}}}}}}},"/api/v1/votes-nc":{"get":{"tags":["Votes National Council"],"summary":"Get all votes of the National Council","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getAllVotes","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVoteV1"}}}}}}},"/api/votes-nc":{"get":{"tags":["Votes National Council"],"summary":"Get all votes of the National Council","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getAllVotes_1","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVoteV1"}}}}}}},"/api/v1/votes-cs/{id}/votings":{"get":{"tags":["Votes Council of States"],"summary":"Get all votings of a vote of the Council of States","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getVotingsOfVote_2","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/votes-cs/{id}/votings":{"get":{"tags":["Votes Council of States"],"summary":"Get all votings of a vote of the Council of States","description":"## Properties\n\n### Core Information\n* `id` - Integer voting identifier\n* `decision` - Voting decision including:\n  * `text` - Decision text\n  * `token` - Decision identifier token\n* `assemblyMember` - Assembly member who votes\n\n### Vote\n* `vote` - Associated vote (see /api/votes-nc resp. /api/votes-cs for detailed properties description)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on voting information.","operationId":"getVotingsOfVote_3","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVotingV1"}}}}}}},"/api/votes-cs/{id}":{"get":{"tags":["Votes Council of States"],"summary":"Get a vote of the Council of States by id","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getVote_2","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoteV1"}}}}}}},"/api/v1/votes-cs/{id}":{"get":{"tags":["Votes Council of States"],"summary":"Get a vote of the Council of States by id","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getVote_3","parameters":[{"name":"id","in":"path","description":"The id of the vote","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VoteV1"}}}}}}},"/api/v1/votes-cs":{"get":{"tags":["Votes Council of States"],"summary":"Get all votes of the Council of States","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getAllVotes_2","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVoteV1"}}}}}}},"/api/votes-cs":{"get":{"tags":["Votes Council of States"],"summary":"Get all votes of the Council of States","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getAllVotes_3","parameters":[{"name":"s","in":"query","description":"# Search Term\n\nSearch term used for filtering results.","schema":{"type":"string"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVoteV1"}}}}}}},"/api/topics":{"get":{"tags":["Topics"],"summary":"Get all topics","description":"## Properties\n\n### Core Information\n* `key` - String key of the entry\n* `categoryKey` - String key of the master data category\n* `name` - Name of the entry\n* `subTopics` - List of associated subtopics\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllTopics","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelTopicV1"}}}}}}},"/api/v1/topics":{"get":{"tags":["Topics"],"summary":"Get all topics","description":"## Properties\n\n### Core Information\n* `key` - String key of the entry\n* `categoryKey` - String key of the master data category\n* `name` - Name of the entry\n* `subTopics` - List of associated subtopics\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllTopics_1","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelTopicV1"}}}}}}},"/api/sessions/{id}/votes-nc":{"get":{"tags":["Sessions"],"summary":"Get all votes of the National Council of a session","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getVotesOfNationalCouncilOfSession","parameters":[{"name":"id","in":"path","description":"The id of the session","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVoteV1"}}}}}}},"/api/v1/sessions/{id}/votes-nc":{"get":{"tags":["Sessions"],"summary":"Get all votes of the National Council of a session","description":"## Properties\n\n### Core Information\n* `id` - Integer vote identifier\n* `number` - Integer vote number\n* `subject` - Localised vote subject\n* `meaningYes` - Localised meaning of \"Yes\" vote\n* `meaningNo` - Localised meaning of \"No\" vote\n* `sortOrder` - Integer defining the sort order\n* `start` - Vote start timestamp\n* `end` - Vote end timestamp\n* `session` - Associated session\n* `result` - Vote result with counts\n\nIndividual votings for a vote are retrieved via the separate `/api/votes-nc/{id}/votings` resp. `/api/votes-cs/{id}/votings` endpoint (using the vote's own `id`).\n\n### Business & Draft\n* `draft` - Associated draft information including:\n  * `number` - Draft number\n  * `title` - Localised draft title\n* `business` - Associated business\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)\n\n## Full Text Search\nThis endpoint supports full text search capabilities on vote information.","operationId":"getVotesOfNationalCouncilOfSession_1","parameters":[{"name":"id","in":"path","description":"The id of the session","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelVoteV1"}}}}}}},"/api/sessions/{id}/speakers":{"get":{"tags":["Sessions"],"summary":"Get all speakers of a session","description":"## Properties\n\n### Core Information\n* `id` - Integer person identifier\n* `firstName` - First name\n* `lastName` - Last name\n* `functionInCouncil` - String describing the function of the speaker in the council\n* `canton` - Canton\n* `council` - Council\n* `parliamentaryGroup` - Parliamentary group affiliation\n* `party` - Party affiliation\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getSpeakersOfSession","parameters":[{"name":"id","in":"path","description":"The id of the session","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSpeakerV1"}}}}}}},"/api/v1/sessions/{id}/speakers":{"get":{"tags":["Sessions"],"summary":"Get all speakers of a session","description":"## Properties\n\n### Core Information\n* `id` - Integer person identifier\n* `firstName` - First name\n* `lastName` - Last name\n* `functionInCouncil` - String describing the function of the speaker in the council\n* `canton` - Canton\n* `council` - Council\n* `parliamentaryGroup` - Parliamentary group affiliation\n* `party` - Party affiliation\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getSpeakersOfSession_1","parameters":[{"name":"id","in":"path","description":"The id of the session","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSpeakerV1"}}}}}}},"/api/v1/sessions/{id}/councilMeetings":{"get":{"tags":["Sessions"],"summary":"Get all council meetings of a session","description":"## Properties\n\n### Core Information\n* `id` - Integer council meeting identifier\n* `number` - Integer council meeting number\n* `start` - Council meeting start timestamp\n* `end` - Council meeting end timestamp\n* `location` - String indicating the location of the council meeting\n* `status` - String indicating the publication status\n* `verbalixId` - Integer Verbalix identifier\n* `council` - Associated council\n* `session` - Associated session\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getCouncilMeetingsOfSession","parameters":[{"name":"id","in":"path","description":"The id of the session","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelCouncilMeetingV1"}}}}}}},"/api/sessions/{id}/councilMeetings":{"get":{"tags":["Sessions"],"summary":"Get all council meetings of a session","description":"## Properties\n\n### Core Information\n* `id` - Integer council meeting identifier\n* `number` - Integer council meeting number\n* `start` - Council meeting start timestamp\n* `end` - Council meeting end timestamp\n* `location` - String indicating the location of the council meeting\n* `status` - String indicating the publication status\n* `verbalixId` - Integer Verbalix identifier\n* `council` - Associated council\n* `session` - Associated session\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getCouncilMeetingsOfSession_1","parameters":[{"name":"id","in":"path","description":"The id of the session","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelCouncilMeetingV1"}}}}}}},"/api/v1/sessions":{"get":{"tags":["Sessions"],"summary":"Get all sessions","description":"## Properties\n\n### Core Information\n* `id` - Integer session identifier\n* `number` - Integer session number\n* `legislature` - Integer legislature identifier\n* `name` - Localised session name\n* `shortName` - Localised session short name\n* `start` - Session start date\n* `end` - Session end date\n* `type` - Session type\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getSessions","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSessionV1"}}}}}}},"/api/sessions":{"get":{"tags":["Sessions"],"summary":"Get all sessions","description":"## Properties\n\n### Core Information\n* `id` - Integer session identifier\n* `number` - Integer session number\n* `legislature` - Integer legislature identifier\n* `name` - Localised session name\n* `shortName` - Localised session short name\n* `start` - Session start date\n* `end` - Session end date\n* `type` - Session type\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getSessions_1","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSessionV1"}}}}}}},"/api/v1/seats-nc":{"get":{"tags":["Seats National Council"],"summary":"Get all seats of the National Council","description":"## Properties\n\n### Core Information\n* `seatNumber` - Integer seat identifier\n* `activeAssemblyMember` - Assembly member currently assigned to the seat\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllSeats","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSeatV1"}}}}}}},"/api/seats-nc":{"get":{"tags":["Seats National Council"],"summary":"Get all seats of the National Council","description":"## Properties\n\n### Core Information\n* `seatNumber` - Integer seat identifier\n* `activeAssemblyMember` - Assembly member currently assigned to the seat\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllSeats_1","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSeatV1"}}}}}}},"/api/seats-cs":{"get":{"tags":["Seats Council of States"],"summary":"Get all seats of the Council of States","description":"## Properties\n\n### Core Information\n* `seatNumber` - Integer seat identifier\n* `activeAssemblyMember` - Assembly member currently assigned to the seat\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllSeats_2","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSeatV1"}}}}}}},"/api/v1/seats-cs":{"get":{"tags":["Seats Council of States"],"summary":"Get all seats of the Council of States","description":"## Properties\n\n### Core Information\n* `seatNumber` - Integer seat identifier\n* `activeAssemblyMember` - Assembly member currently assigned to the seat\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllSeats_3","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 50, Maximum: 1000","required":false,"schema":{"type":"integer","format":"int32","default":50,"maximum":1000,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelSeatV1"}}}}}}},"/api/persons/{id}":{"get":{"tags":["Persons"],"summary":"Get a person by id","description":"## Properties\n\n### Core Information\n* `id` - Integer person identifier\n* `firstName` - First name\n* `lastName` - Last name\n* `callName` - Official call name (taking into account homographs and homophones; see the list of assembly members with the same name)\n* `salutation` - Salutation\n* `type` - Person type\n* `active` - Boolean indicating if the person is currently active\n* `legacyId` - Legacy person identifier (deprecated)\n\n### Personal Details\n* `dateOfBirth` - Date of birth\n* `dateOfDeath` - Date of death\n* `placeOfBirth` - Place of birth\n* `placeOfResidence` - Place of residence\n* `gender` - Gender\n* `canton` - Current or last canton\n* `maritalStatus` - Marital status\n* `militaryRank` - Military rank\n* `numberOfChildren` - Number of children\n* `academicTitle` - Academic title\n* `activePlacesOfOrigin / placesOfOrigin` - Place of origin entries\n* `activeCitizenships / citizenships` - Citizenship entries\n* `education` - List of education entries, each including:\n  * `designation` - Education designation\n  * `title` - Title\n  * `institution` - Education institution\n  * `start` - Education start date\n  * `end` - Education end date\n* `otherActivities` - List of other activities\n\n### Contact Details\n* `addresses` - List of address entries\n* `contactDetails` - List of contact entries\n* `languages` - Language information\n\n### Mandates & Memberships\n* `parliamentaryGroup` - Current or last parliamentary group\n* `party` - Current or last party\n* `council` - Current or last council\n* `activePartyMembership / partyMemberships` - Party membership entries, each including membership dates and type\n* `activeParliamentaryGroupMembership / parliamentaryGroupMemberships` - Parliamentary group membership entries, each including membership dates and type\n* `activeParliamentaryMandates / parliamentaryMandates` - Parliamentary mandate entries (including committee and delegation memberships), each including membership dates and type\n* `activeCrossPartyGroupMemberships / crossPartyGroupMemberships` - Cross-party group membership entries, each including membership dates and type\n* `activePoliticalMandates / politicalMandates` - Political mandate entries (including mandates at cantonal and local level), each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `type` - Mandate type\n  * `designation` - Mandate designation\n\n### Occupations & Interests\n* `activeOccupations / occupations` - Occupation entries, each including:\n  * `employer` - Employer\n  * `employmentType` - Employment type\n  * `designation` - Occupation designation\n  * `designationFreeText` - Occupation free text designation\n  * `function` - Occupation function\n  * `start` - Occupation start date\n  * `end` - Occupation end date\n* `activeInterests / interests` - Interest (Interessenbindung) entries, each including:\n  * `designation` - Free text designation\n  * `legalForm` - Legal form\n  * `function` - Function\n  * `isPaid` - Boolean indicating a paid activity\n  * `isAuthorityRepresentation` - Boolean indicating representation of an authority\n  * `body` - Body\n  * `start` - Start date\n  * `end` - End date\n\n### Associated Persons\n* `personalCollaborators` - List of personal collaborators, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `occupations` - Current occupations\n* `personsWithAccessAuthorisation` - List of persons with access authorisation, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `function` - Function\n  * `functionOrganisation` - Organisation (if function is lobbyist)\n\n### Election Information\n* `activeElection / elections` - Election records, each including:\n  * `council` - Associated council\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the council\n  * `electedDate` - Date on which the assembly member was elected\n  * `swornInDate` - Date on which the assembly member was sworn in\n  * `leavingDate` - Date on which the assembly member left the council\n  * `replacedAssemblyMember` - Details about the replaced assembly member\n\n### Information specific to Federal Councillors\n* `activeFederalCouncilElection / federalCouncilElections` - Federal council election records, each including:\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the federal council\n  * `electedDate` - Date on which the federal councillor was elected\n  * `takingOfficeDate` - Date on which the federal councillor took office\n  * `leavingDate` - Date on which the federal councillor left the federal council\n  * `replacedFederalCouncillor` - Details about the replaced federal councillor\n* `activeFederalCouncilMandates / federalCouncilMandates` - Federal council mandates, each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `department` - Mandate department\n  * `function` - Mandate function\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getPerson","parameters":[{"name":"id","in":"path","description":"The id of the person","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Person found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonV1"}}}},"404":{"description":"Person not found"}}}},"/api/v1/persons/{id}":{"get":{"tags":["Persons"],"summary":"Get a person by id","description":"## Properties\n\n### Core Information\n* `id` - Integer person identifier\n* `firstName` - First name\n* `lastName` - Last name\n* `callName` - Official call name (taking into account homographs and homophones; see the list of assembly members with the same name)\n* `salutation` - Salutation\n* `type` - Person type\n* `active` - Boolean indicating if the person is currently active\n* `legacyId` - Legacy person identifier (deprecated)\n\n### Personal Details\n* `dateOfBirth` - Date of birth\n* `dateOfDeath` - Date of death\n* `placeOfBirth` - Place of birth\n* `placeOfResidence` - Place of residence\n* `gender` - Gender\n* `canton` - Current or last canton\n* `maritalStatus` - Marital status\n* `militaryRank` - Military rank\n* `numberOfChildren` - Number of children\n* `academicTitle` - Academic title\n* `activePlacesOfOrigin / placesOfOrigin` - Place of origin entries\n* `activeCitizenships / citizenships` - Citizenship entries\n* `education` - List of education entries, each including:\n  * `designation` - Education designation\n  * `title` - Title\n  * `institution` - Education institution\n  * `start` - Education start date\n  * `end` - Education end date\n* `otherActivities` - List of other activities\n\n### Contact Details\n* `addresses` - List of address entries\n* `contactDetails` - List of contact entries\n* `languages` - Language information\n\n### Mandates & Memberships\n* `parliamentaryGroup` - Current or last parliamentary group\n* `party` - Current or last party\n* `council` - Current or last council\n* `activePartyMembership / partyMemberships` - Party membership entries, each including membership dates and type\n* `activeParliamentaryGroupMembership / parliamentaryGroupMemberships` - Parliamentary group membership entries, each including membership dates and type\n* `activeParliamentaryMandates / parliamentaryMandates` - Parliamentary mandate entries (including committee and delegation memberships), each including membership dates and type\n* `activeCrossPartyGroupMemberships / crossPartyGroupMemberships` - Cross-party group membership entries, each including membership dates and type\n* `activePoliticalMandates / politicalMandates` - Political mandate entries (including mandates at cantonal and local level), each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `type` - Mandate type\n  * `designation` - Mandate designation\n\n### Occupations & Interests\n* `activeOccupations / occupations` - Occupation entries, each including:\n  * `employer` - Employer\n  * `employmentType` - Employment type\n  * `designation` - Occupation designation\n  * `designationFreeText` - Occupation free text designation\n  * `function` - Occupation function\n  * `start` - Occupation start date\n  * `end` - Occupation end date\n* `activeInterests / interests` - Interest (Interessenbindung) entries, each including:\n  * `designation` - Free text designation\n  * `legalForm` - Legal form\n  * `function` - Function\n  * `isPaid` - Boolean indicating a paid activity\n  * `isAuthorityRepresentation` - Boolean indicating representation of an authority\n  * `body` - Body\n  * `start` - Start date\n  * `end` - End date\n\n### Associated Persons\n* `personalCollaborators` - List of personal collaborators, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `occupations` - Current occupations\n* `personsWithAccessAuthorisation` - List of persons with access authorisation, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `function` - Function\n  * `functionOrganisation` - Organisation (if function is lobbyist)\n\n### Election Information\n* `activeElection / elections` - Election records, each including:\n  * `council` - Associated council\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the council\n  * `electedDate` - Date on which the assembly member was elected\n  * `swornInDate` - Date on which the assembly member was sworn in\n  * `leavingDate` - Date on which the assembly member left the council\n  * `replacedAssemblyMember` - Details about the replaced assembly member\n\n### Information specific to Federal Councillors\n* `activeFederalCouncilElection / federalCouncilElections` - Federal council election records, each including:\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the federal council\n  * `electedDate` - Date on which the federal councillor was elected\n  * `takingOfficeDate` - Date on which the federal councillor took office\n  * `leavingDate` - Date on which the federal councillor left the federal council\n  * `replacedFederalCouncillor` - Details about the replaced federal councillor\n* `activeFederalCouncilMandates / federalCouncilMandates` - Federal council mandates, each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `department` - Mandate department\n  * `function` - Mandate function\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getPerson_1","parameters":[{"name":"id","in":"path","description":"The id of the person","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Person found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonV1"}}}},"404":{"description":"Person not found"}}}},"/api/persons":{"get":{"tags":["Persons"],"summary":"Get all persons","description":"## Properties\n\n### Core Information\n* `id` - Integer person identifier\n* `firstName` - First name\n* `lastName` - Last name\n* `callName` - Official call name (taking into account homographs and homophones; see the list of assembly members with the same name)\n* `salutation` - Salutation\n* `type` - Person type\n* `active` - Boolean indicating if the person is currently active\n* `legacyId` - Legacy person identifier (deprecated)\n\n### Personal Details\n* `dateOfBirth` - Date of birth\n* `dateOfDeath` - Date of death\n* `placeOfBirth` - Place of birth\n* `placeOfResidence` - Place of residence\n* `gender` - Gender\n* `canton` - Current or last canton\n* `maritalStatus` - Marital status\n* `militaryRank` - Military rank\n* `numberOfChildren` - Number of children\n* `academicTitle` - Academic title\n* `activePlacesOfOrigin / placesOfOrigin` - Place of origin entries\n* `activeCitizenships / citizenships` - Citizenship entries\n* `education` - List of education entries, each including:\n  * `designation` - Education designation\n  * `title` - Title\n  * `institution` - Education institution\n  * `start` - Education start date\n  * `end` - Education end date\n* `otherActivities` - List of other activities\n\n### Contact Details\n* `addresses` - List of address entries\n* `contactDetails` - List of contact entries\n* `languages` - Language information\n\n### Mandates & Memberships\n* `parliamentaryGroup` - Current or last parliamentary group\n* `party` - Current or last party\n* `council` - Current or last council\n* `activePartyMembership / partyMemberships` - Party membership entries, each including membership dates and type\n* `activeParliamentaryGroupMembership / parliamentaryGroupMemberships` - Parliamentary group membership entries, each including membership dates and type\n* `activeParliamentaryMandates / parliamentaryMandates` - Parliamentary mandate entries (including committee and delegation memberships), each including membership dates and type\n* `activeCrossPartyGroupMemberships / crossPartyGroupMemberships` - Cross-party group membership entries, each including membership dates and type\n* `activePoliticalMandates / politicalMandates` - Political mandate entries (including mandates at cantonal and local level), each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `type` - Mandate type\n  * `designation` - Mandate designation\n\n### Occupations & Interests\n* `activeOccupations / occupations` - Occupation entries, each including:\n  * `employer` - Employer\n  * `employmentType` - Employment type\n  * `designation` - Occupation designation\n  * `designationFreeText` - Occupation free text designation\n  * `function` - Occupation function\n  * `start` - Occupation start date\n  * `end` - Occupation end date\n* `activeInterests / interests` - Interest (Interessenbindung) entries, each including:\n  * `designation` - Free text designation\n  * `legalForm` - Legal form\n  * `function` - Function\n  * `isPaid` - Boolean indicating a paid activity\n  * `isAuthorityRepresentation` - Boolean indicating representation of an authority\n  * `body` - Body\n  * `start` - Start date\n  * `end` - End date\n\n### Associated Persons\n* `personalCollaborators` - List of personal collaborators, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `occupations` - Current occupations\n* `personsWithAccessAuthorisation` - List of persons with access authorisation, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `function` - Function\n  * `functionOrganisation` - Organisation (if function is lobbyist)\n\n### Election Information\n* `activeElection / elections` - Election records, each including:\n  * `council` - Associated council\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the council\n  * `electedDate` - Date on which the assembly member was elected\n  * `swornInDate` - Date on which the assembly member was sworn in\n  * `leavingDate` - Date on which the assembly member left the council\n  * `replacedAssemblyMember` - Details about the replaced assembly member\n\n### Information specific to Federal Councillors\n* `activeFederalCouncilElection / federalCouncilElections` - Federal council election records, each including:\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the federal council\n  * `electedDate` - Date on which the federal councillor was elected\n  * `takingOfficeDate` - Date on which the federal councillor took office\n  * `leavingDate` - Date on which the federal councillor left the federal council\n  * `replacedFederalCouncillor` - Details about the replaced federal councillor\n* `activeFederalCouncilMandates / federalCouncilMandates` - Federal council mandates, each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `department` - Mandate department\n  * `function` - Mandate function\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getPersons","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 20, Maximum: 300","required":false,"schema":{"type":"integer","format":"int32","default":20,"maximum":300,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelPersonV1"}}}}}}},"/api/v1/persons":{"get":{"tags":["Persons"],"summary":"Get all persons","description":"## Properties\n\n### Core Information\n* `id` - Integer person identifier\n* `firstName` - First name\n* `lastName` - Last name\n* `callName` - Official call name (taking into account homographs and homophones; see the list of assembly members with the same name)\n* `salutation` - Salutation\n* `type` - Person type\n* `active` - Boolean indicating if the person is currently active\n* `legacyId` - Legacy person identifier (deprecated)\n\n### Personal Details\n* `dateOfBirth` - Date of birth\n* `dateOfDeath` - Date of death\n* `placeOfBirth` - Place of birth\n* `placeOfResidence` - Place of residence\n* `gender` - Gender\n* `canton` - Current or last canton\n* `maritalStatus` - Marital status\n* `militaryRank` - Military rank\n* `numberOfChildren` - Number of children\n* `academicTitle` - Academic title\n* `activePlacesOfOrigin / placesOfOrigin` - Place of origin entries\n* `activeCitizenships / citizenships` - Citizenship entries\n* `education` - List of education entries, each including:\n  * `designation` - Education designation\n  * `title` - Title\n  * `institution` - Education institution\n  * `start` - Education start date\n  * `end` - Education end date\n* `otherActivities` - List of other activities\n\n### Contact Details\n* `addresses` - List of address entries\n* `contactDetails` - List of contact entries\n* `languages` - Language information\n\n### Mandates & Memberships\n* `parliamentaryGroup` - Current or last parliamentary group\n* `party` - Current or last party\n* `council` - Current or last council\n* `activePartyMembership / partyMemberships` - Party membership entries, each including membership dates and type\n* `activeParliamentaryGroupMembership / parliamentaryGroupMemberships` - Parliamentary group membership entries, each including membership dates and type\n* `activeParliamentaryMandates / parliamentaryMandates` - Parliamentary mandate entries (including committee and delegation memberships), each including membership dates and type\n* `activeCrossPartyGroupMemberships / crossPartyGroupMemberships` - Cross-party group membership entries, each including membership dates and type\n* `activePoliticalMandates / politicalMandates` - Political mandate entries (including mandates at cantonal and local level), each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `type` - Mandate type\n  * `designation` - Mandate designation\n\n### Occupations & Interests\n* `activeOccupations / occupations` - Occupation entries, each including:\n  * `employer` - Employer\n  * `employmentType` - Employment type\n  * `designation` - Occupation designation\n  * `designationFreeText` - Occupation free text designation\n  * `function` - Occupation function\n  * `start` - Occupation start date\n  * `end` - Occupation end date\n* `activeInterests / interests` - Interest (Interessenbindung) entries, each including:\n  * `designation` - Free text designation\n  * `legalForm` - Legal form\n  * `function` - Function\n  * `isPaid` - Boolean indicating a paid activity\n  * `isAuthorityRepresentation` - Boolean indicating representation of an authority\n  * `body` - Body\n  * `start` - Start date\n  * `end` - End date\n\n### Associated Persons\n* `personalCollaborators` - List of personal collaborators, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `occupations` - Current occupations\n* `personsWithAccessAuthorisation` - List of persons with access authorisation, each including:\n  * `id` - Integer person identifier\n  * `firstName` - First name\n  * `lastName` - Last name\n  * `function` - Function\n  * `functionOrganisation` - Organisation (if function is lobbyist)\n\n### Election Information\n* `activeElection / elections` - Election records, each including:\n  * `council` - Associated council\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the council\n  * `electedDate` - Date on which the assembly member was elected\n  * `swornInDate` - Date on which the assembly member was sworn in\n  * `leavingDate` - Date on which the assembly member left the council\n  * `replacedAssemblyMember` - Details about the replaced assembly member\n\n### Information specific to Federal Councillors\n* `activeFederalCouncilElection / federalCouncilElections` - Federal council election records, each including:\n  * `canton` - Associated canton\n  * `leavingReason` - Reason for leaving the federal council\n  * `electedDate` - Date on which the federal councillor was elected\n  * `takingOfficeDate` - Date on which the federal councillor took office\n  * `leavingDate` - Date on which the federal councillor left the federal council\n  * `replacedFederalCouncillor` - Details about the replaced federal councillor\n* `activeFederalCouncilMandates / federalCouncilMandates` - Federal council mandates, each including:\n  * `start` - Mandate start date\n  * `end` - Mandate end date\n  * `department` - Mandate department\n  * `function` - Mandate function\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getPersons_1","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"size","in":"query","description":"Number of elements contained on one page. Default: 20, Maximum: 300","required":false,"schema":{"type":"integer","format":"int32","default":20,"maximum":300,"minimum":0}},{"name":"withCounts","in":"query","description":"Include total counts in pageable object","required":false,"schema":{"type":"boolean","default":false}},{"name":"include","in":"query","description":"A list of properties to include in the response","required":false,"schema":{"type":"string"}},{"name":"exclude","in":"query","description":"A list of properties to exclude from the response","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlicedModelPersonV1"}}}}}}},"/api/v1/mutations":{"get":{"tags":["Mutations"],"summary":"Get all mutations","description":"## Properties\n\n### Core Information\n* `replacedAssemblyMember` - Details about the replaced assembly member:\n  * `id` - Integer person identifier\n  * `lastName` - Last name\n  * `firstName` - First name\n  * `parliamentaryGroup` - Parliamentary group affiliation\n  * `party` - Party affiliation\n  * `canton` - Associated canton\n  * `council` - Associated council\n  * `electedDate` - Date on which the assembly member was elected\n  * `swornInDate` - Date on which the assembly member was sworn in\n  * `leavingDate` - Date on which the assembly member left the council\n  * `leavingReason` - Reason for leaving the council\n* `assemblyMember` - Details about the replacing assembly member (including the same fields as in replacedAssemblyMember)\n* `legislature` - Integer legislature identifier of the legislature in which the mutation occurred\n\n### Additional Information\n* `metaData` - Metadata for the entry (createdDate, modifiedDate, lastUpdate)","operationId":"getAllMutations","parameters":[{"name":"lang","in":"query","description":"Selects the language in which string values are returned, provided that translations exist in that language","required":false,"schema":{"type":"string","enum":["de","it","fr"]}},{"name":"q","in":"query","description":"Query string in API filter notation to only select elements matching the given expression","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"Sort expression to sort the top-level elements along the given properties and orders (example: id[:(asc|desc)])","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page number to return (0 .. total page count - 1)","required":false,"schema":{"type":"inte
[...]
